import shutil

import uvicorn

from api import app
import config


if __name__ == '__main__':
    try:
        uvicorn.run(
            app=app,
            host=config.Main.host,
            port=config.Main.port,
        )
    except InterruptedError:
        shutil.rmtree(config.Main.images_directory)
